function[obsah_95elipsa]=error_ellipse(filterYI,filterYII)
obsah95_elipsa=[];
y1=filterYI;
y2=filterYII;
covariance = cov(y1,y2);
[eigenvec, eigenval ] = eig(covariance);

% index nejvyššího vlastního čísla
[largest_eigenvec_ind_c, r] = find(eigenval == max(max(eigenval)));
largest_eigenvec = eigenvec(:, largest_eigenvec_ind_c);

% získání nejvyšší vlastní hodnoty
largest_eigenval = max(max(eigenval));

% získání nejnižší vlastní hodnoty a nejnižšího vlastního čísla
if(largest_eigenvec_ind_c == 1)
    smallest_eigenval = max(eigenval(:,2));
    smallest_eigenvec = eigenvec(:,2);
else
    smallest_eigenval = max(eigenval(:,1));
    smallest_eigenvec = eigenvec(1,:);
end

% výpočet poloos elipsy, výpočet obsahu 95% elipsy
chisquare_val = 2.4477;
a=chisquare_val*sqrt(largest_eigenval);
b=chisquare_val*sqrt(smallest_eigenval);
obsah_95elipsa = a*b*pi;
end


